Subject: Re: OS/2 HPFS File System - Is this a Bug?

From: Jim Worthington <[email-masked]>
Date: Tue, 13 Aug 1996 23:58:47 -0400

Daniel Lynes wrote:
> 
> On Tue, 13 Aug 1996 00:42:13 -0400, Jim Worthington wrote:
> 
> >  /dev/sda5  id 7  OS/2 HPFS
> >  /dev/hda2  id 17 Unknown
> 
> >The Unknown partition type (id 17) was created by OS/2 Warp fdisk during
> >the installation process.  It is also a primary partition.
> 
> I haven't experienced this myself, so this would lead me to believe one
> of
> the following:
> 
> /dev/hda2 is:
> 
> 1.  A primary partition (rather than an extended logical.)
> 2.  Is using HPFS386 (do you have Warp, or Warp Connect installed?)

The ID17 partition is a primary partition - Why would this matter?

I did make the observation, however, that the primary HPFS partition's
id = 17 and the extended HPFS partition's id = 7.

I'm running OS/2 3.0x (Warp) with a few fixes added.

Jim    <[email-masked]>